| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Enumerations | Variables
treelist.h File Reference

## Classes

class | wxTreeListItem
| Unique identifier of an item in wxTreeListCtrl. More...
class | wxTreeListItemComparator
| Class defining sort order for the items in wxTreeListCtrl. More...
class | wxTreeListCtrl
| A control combining wxTreeCtrl and wxListCtrl features. More...
class | wxTreeListEvent
| Event generated by wxTreeListCtrl. More...

## Macros

#define | wxTreeListEventHandler(func) wxEVENT_HANDLER_CAST(wxTreeListEventFunction, func)
| Type of wxTreeListEvent event handlers.

## Typedefs

typedef wxVector< wxTreeListItem > | wxTreeListItems
| Container of multiple items.

## Enumerations

enum | { wxTL_SINGLE = 0x0000, wxTL_MULTIPLE = 0x0001, wxTL_CHECKBOX = 0x0002, wxTL_3STATE = 0x0004, wxTL_USER_3STATE = 0x0008, wxTL_NO_HEADER = 0x0010, wxTL_DEFAULT_STYLE = wxTL_SINGLE, wxTL_STYLE_MASK }
| wxTreeListCtrl styles. More...

## Variables

const wxTreeListItem | wxTLI_FIRST
| Special wxTreeListItem value meaning "insert before the first item".
const wxTreeListItem | wxTLI_LAST
| Special wxTreeListItem value meaning "insert after the last item".
wxEventType | wxEVT_TREELIST_SELECTION_CHANGED
wxEventType | wxEVT_TREELIST_ITEM_EXPANDING
wxEventType | wxEVT_TREELIST_ITEM_EXPANDED
wxEventType | wxEVT_TREELIST_ITEM_CHECKED
wxEventType | wxEVT_TREELIST_ITEM_ACTIVATED
wxEventType | wxEVT_TREELIST_ITEM_CONTEXT_MENU
wxEventType | wxEVT_TREELIST_COLUMN_SORTED

## Macro Definition Documentation

#define wxTreeListEventHandler | ( |  | func | ) | wxEVENT_HANDLER_CAST(wxTreeListEventFunction, func)

Type of wxTreeListEvent event handlers.

This macro should be used with wxEvtHandler::Connect() when connecting to wxTreeListCtrl events.

## Typedef Documentation

typedef wxVector<wxTreeListItem> wxTreeListItems

Container of multiple items.

## Enumeration Type Documentation

anonymous enum

wxTreeListCtrl styles.

Notice that using wxTL_USER_3STATE implies wxTL_3STATE and wxTL_3STATE in turn implies wxTL_CHECKBOX.

Enumerator:

  wxTL_SINGLE |
  wxTL_MULTIPLE | This is the default anyhow.
  wxTL_CHECKBOX | Allow multiple selection.
  wxTL_3STATE | Show checkboxes in the first column.
  wxTL_USER_3STATE | Allow 3rd state in checkboxes.

  wxTL_NO_HEADER

  Allow user to set 3rd state.

  Don't show the column headers.

  By default this control shows the column headers, using this class allows to avoid this and show only the data.
  Since
    2.9.5

  wxTL_DEFAULT_STYLE |
  wxTL_STYLE_MASK |

## Variable Documentation

wxEventType wxEVT_TREELIST_COLUMN_SORTED

wxEventType wxEVT_TREELIST_ITEM_ACTIVATED

wxEventType wxEVT_TREELIST_ITEM_CHECKED

wxEventType wxEVT_TREELIST_ITEM_CONTEXT_MENU

wxEventType wxEVT_TREELIST_ITEM_EXPANDED

wxEventType wxEVT_TREELIST_ITEM_EXPANDING

wxEventType wxEVT_TREELIST_SELECTION_CHANGED

const wxTreeListItem wxTLI_FIRST

Special wxTreeListItem value meaning "insert before the first item".

This value can be passed to wxTreeListCtrl::InsertItem() to achieve the same effect as calling wxTreeListCtrl::PrependItem().

const wxTreeListItem wxTLI_LAST

Special wxTreeListItem value meaning "insert after the last item".

This value can be passed to wxTreeListCtrl::InsertItem() to achieve the same effect as calling wxTreeListCtrl::AppendItem().